Index: org.gvsig.vectorediting.offset/trunk/org.gvsig.vectorediting.offset/pom.xml
===================================================================
--- org.gvsig.vectorediting.offset/trunk/org.gvsig.vectorediting.offset/pom.xml	(revision 1587)
+++ org.gvsig.vectorediting.offset/trunk/org.gvsig.vectorediting.offset/pom.xml	(revision 1588)
@@ -6,7 +6,7 @@
     <version>2.0.241</version>
   </parent>
   <artifactId>org.gvsig.vectorediting.offset</artifactId>
-  <version>1.0.46-SNAPSHOT</version>
+  <version>1.0.46</version>
   <packaging>pom</packaging>
   <name>org.gvsig.vectorediting.offset</name>
   <description>Project that provides the offset vector editing tool</description>
@@ -31,9 +31,9 @@
 
 	<url>dav:https://devel.gvsig.org/sites/${project.artifactId}/${project.version}</url>
 	<scm>
-		<connection>scm:svn:https://devel.gvsig.org/svn/gvsig-vectorediting/${project.artifactId}/trunk/${project.artifactId}</connection>
-		<developerConnection>scm:svn:https://devel.gvsig.org/svn/gvsig-vectorediting/${project.artifactId}/trunk/${project.artifactId}</developerConnection>
-		<url>https://devel.gvsig.org/redmine/projects/gvsig-vector-editing/repository/show/${project.artifactId}/trunk/${project.artifactId}</url>
+		<connection>scm:svn:https://devel.gvsig.org/svn/gvsig-vectorediting/org.gvsig.vectorediting.offset/tags/org.gvsig.vectorediting.offset-1.0.46</connection>
+		<developerConnection>scm:svn:https://devel.gvsig.org/svn/gvsig-vectorediting/org.gvsig.vectorediting.offset/tags/org.gvsig.vectorediting.offset-1.0.46</developerConnection>
+		<url>https://devel.gvsig.org/redmine/projects/gvsig-vector-editing/repository/show/org.gvsig.vectorediting.offset/tags/org.gvsig.vectorediting.offset-1.0.46</url>
 	</scm>
 
 	<distributionManagement>
@@ -67,7 +67,7 @@
 			<dependency>
 				<groupId>org.gvsig</groupId>
 				<artifactId>org.gvsig.vectorediting.offset.lib.prov.offset</artifactId>
-				<version>1.0.46-SNAPSHOT</version>
+				<version>1.0.46</version>
 			</dependency>
 		</dependencies>
 	</dependencyManagement>
Index: org.gvsig.vectorediting.offset/trunk/org.gvsig.vectorediting.offset/org.gvsig.vectorediting.offset.app/pom.xml
===================================================================
--- org.gvsig.vectorediting.offset/trunk/org.gvsig.vectorediting.offset/org.gvsig.vectorediting.offset.app/pom.xml	(revision 1587)
+++ org.gvsig.vectorediting.offset/trunk/org.gvsig.vectorediting.offset/org.gvsig.vectorediting.offset.app/pom.xml	(revision 1588)
@@ -3,7 +3,7 @@
   <parent>
     <groupId>org.gvsig</groupId>
     <artifactId>org.gvsig.vectorediting.offset</artifactId>
-    <version>1.0.46-SNAPSHOT</version>
+    <version>1.0.46</version>
   </parent>
   <artifactId>org.gvsig.vectorediting.offset.app</artifactId>
   <packaging>pom</packaging>
Index: org.gvsig.vectorediting.offset/trunk/org.gvsig.vectorediting.offset/org.gvsig.vectorediting.offset.app/org.gvsig.vectorediting.offset.app.mainplugin/pom.xml
===================================================================
--- org.gvsig.vectorediting.offset/trunk/org.gvsig.vectorediting.offset/org.gvsig.vectorediting.offset.app/org.gvsig.vectorediting.offset.app.mainplugin/pom.xml	(revision 1587)
+++ org.gvsig.vectorediting.offset/trunk/org.gvsig.vectorediting.offset/org.gvsig.vectorediting.offset.app/org.gvsig.vectorediting.offset.app.mainplugin/pom.xml	(revision 1588)
@@ -3,7 +3,7 @@
   <parent>
     <groupId>org.gvsig</groupId>
     <artifactId>org.gvsig.vectorediting.offset.app</artifactId>
-    <version>1.0.46-SNAPSHOT</version>
+    <version>1.0.46</version>
   </parent>
   <artifactId>org.gvsig.vectorediting.offset.app.mainplugin</artifactId>
   <name>org.gvsig.vectorediting.offset.app.mainplugin</name>
Index: org.gvsig.vectorediting.offset/trunk/org.gvsig.vectorediting.offset/org.gvsig.vectorediting.offset.lib/org.gvsig.vectorediting.offset.lib.prov/pom.xml
===================================================================
--- org.gvsig.vectorediting.offset/trunk/org.gvsig.vectorediting.offset/org.gvsig.vectorediting.offset.lib/org.gvsig.vectorediting.offset.lib.prov/pom.xml	(revision 1587)
+++ org.gvsig.vectorediting.offset/trunk/org.gvsig.vectorediting.offset/org.gvsig.vectorediting.offset.lib/org.gvsig.vectorediting.offset.lib.prov/pom.xml	(revision 1588)
@@ -3,7 +3,7 @@
   <parent>
     <groupId>org.gvsig</groupId>
     <artifactId>org.gvsig.vectorediting.offset.lib</artifactId>
-    <version>1.0.46-SNAPSHOT</version>
+    <version>1.0.46</version>
   </parent>
   <artifactId>org.gvsig.vectorediting.offset.lib.prov</artifactId>
   <packaging>pom</packaging>
Index: org.gvsig.vectorediting.offset/trunk/org.gvsig.vectorediting.offset/org.gvsig.vectorediting.offset.lib/org.gvsig.vectorediting.offset.lib.prov/org.gvsig.vectorediting.offset.lib.prov.offset/pom.xml
===================================================================
--- org.gvsig.vectorediting.offset/trunk/org.gvsig.vectorediting.offset/org.gvsig.vectorediting.offset.lib/org.gvsig.vectorediting.offset.lib.prov/org.gvsig.vectorediting.offset.lib.prov.offset/pom.xml	(revision 1587)
+++ org.gvsig.vectorediting.offset/trunk/org.gvsig.vectorediting.offset/org.gvsig.vectorediting.offset.lib/org.gvsig.vectorediting.offset.lib.prov/org.gvsig.vectorediting.offset.lib.prov.offset/pom.xml	(revision 1588)
@@ -3,7 +3,7 @@
   <parent>
     <groupId>org.gvsig</groupId>
     <artifactId>org.gvsig.vectorediting.offset.lib.prov</artifactId>
-    <version>1.0.46-SNAPSHOT</version>
+    <version>1.0.46</version>
   </parent>
   <artifactId>org.gvsig.vectorediting.offset.lib.prov.offset</artifactId>
   <name>org.gvsig.vectorediting.offset.lib.prov.offset</name>
Index: org.gvsig.vectorediting.offset/trunk/org.gvsig.vectorediting.offset/org.gvsig.vectorediting.offset.lib/pom.xml
===================================================================
--- org.gvsig.vectorediting.offset/trunk/org.gvsig.vectorediting.offset/org.gvsig.vectorediting.offset.lib/pom.xml	(revision 1587)
+++ org.gvsig.vectorediting.offset/trunk/org.gvsig.vectorediting.offset/org.gvsig.vectorediting.offset.lib/pom.xml	(revision 1588)
@@ -3,7 +3,7 @@
   <parent>
     <groupId>org.gvsig</groupId>
     <artifactId>org.gvsig.vectorediting.offset</artifactId>
-    <version>1.0.46-SNAPSHOT</version>
+    <version>1.0.46</version>
   </parent>
   <artifactId>org.gvsig.vectorediting.offset.lib</artifactId>
   <packaging>pom</packaging>