Index: org.gvsig.vectorediting.symmetry/trunk/org.gvsig.vectorediting.symmetry/pom.xml
===================================================================
--- org.gvsig.vectorediting.symmetry/trunk/org.gvsig.vectorediting.symmetry/pom.xml	(revision 1698)
+++ org.gvsig.vectorediting.symmetry/trunk/org.gvsig.vectorediting.symmetry/pom.xml	(revision 1699)
@@ -7,7 +7,7 @@
 	</parent>
 	<groupId>org.gvsig</groupId>
 	<artifactId>org.gvsig.vectorediting.symmetry</artifactId>
-	<version>1.0.83</version>
+	<version>1.0.84-SNAPSHOT</version>
 	<packaging>pom</packaging>
 	<name>org.gvsig.vectorediting.symmetry</name>
 	<description>Project that provides the symmetry vector editing tool</description>
@@ -32,9 +32,9 @@
 
 	<url>dav:https://devel.gvsig.org/sites/${project.artifactId}/${project.version}</url>
 	<scm>
-		<connection>scm:svn:https://devel.gvsig.org/svn/gvsig-vectorediting/org.gvsig.vectorediting.symmetry/tags/org.gvsig.vectorediting.symmetry-1.0.83</connection>
-		<developerConnection>scm:svn:https://devel.gvsig.org/svn/gvsig-vectorediting/org.gvsig.vectorediting.symmetry/tags/org.gvsig.vectorediting.symmetry-1.0.83</developerConnection>
-		<url>https://devel.gvsig.org/redmine/projects/gvsig-vector-editing/repository/show/org.gvsig.vectorediting.symmetry/tags/org.gvsig.vectorediting.symmetry-1.0.83</url>
+		<connection>scm:svn:https://devel.gvsig.org/svn/gvsig-vectorediting/${project.artifactId}/trunk/${project.artifactId}</connection>
+		<developerConnection>scm:svn:https://devel.gvsig.org/svn/gvsig-vectorediting/${project.artifactId}/trunk/${project.artifactId}</developerConnection>
+		<url>https://devel.gvsig.org/redmine/projects/gvsig-vector-editing/repository/show/${project.artifactId}/trunk/${project.artifactId}</url>
 	</scm>
 
 	<distributionManagement>
@@ -71,7 +71,7 @@
 			<dependency>
 				<groupId>org.gvsig</groupId>
 				<artifactId>org.gvsig.vectorediting.symmetry.lib.prov.symmetry</artifactId>
-				<version>1.0.83</version>
+				<version>1.0.84-SNAPSHOT</version>
 			</dependency>
 		</dependencies>
 	</dependencyManagement>
Index: org.gvsig.vectorediting.symmetry/trunk/org.gvsig.vectorediting.symmetry/org.gvsig.vectorediting.symmetry.app/pom.xml
===================================================================
--- org.gvsig.vectorediting.symmetry/trunk/org.gvsig.vectorediting.symmetry/org.gvsig.vectorediting.symmetry.app/pom.xml	(revision 1698)
+++ org.gvsig.vectorediting.symmetry/trunk/org.gvsig.vectorediting.symmetry/org.gvsig.vectorediting.symmetry.app/pom.xml	(revision 1699)
@@ -3,7 +3,7 @@
   <parent>
     <groupId>org.gvsig</groupId>
     <artifactId>org.gvsig.vectorediting.symmetry</artifactId>
-    <version>1.0.83</version>
+    <version>1.0.84-SNAPSHOT</version>
   </parent>
   <artifactId>org.gvsig.vectorediting.symmetry.app</artifactId>
   <packaging>pom</packaging>
Index: org.gvsig.vectorediting.symmetry/trunk/org.gvsig.vectorediting.symmetry/org.gvsig.vectorediting.symmetry.app/org.gvsig.vectorediting.symmetry.app.mainplugin/pom.xml
===================================================================
--- org.gvsig.vectorediting.symmetry/trunk/org.gvsig.vectorediting.symmetry/org.gvsig.vectorediting.symmetry.app/org.gvsig.vectorediting.symmetry.app.mainplugin/pom.xml	(revision 1698)
+++ org.gvsig.vectorediting.symmetry/trunk/org.gvsig.vectorediting.symmetry/org.gvsig.vectorediting.symmetry.app/org.gvsig.vectorediting.symmetry.app.mainplugin/pom.xml	(revision 1699)
@@ -3,7 +3,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.vectorediting.symmetry.app</artifactId>
-		<version>1.0.83</version>
+		<version>1.0.84-SNAPSHOT</version>
 	</parent>
 
 	<artifactId>org.gvsig.vectorediting.symmetry.app.mainplugin</artifactId>
Index: org.gvsig.vectorediting.symmetry/trunk/org.gvsig.vectorediting.symmetry/org.gvsig.vectorediting.symmetry.lib/org.gvsig.vectorediting.symmetry.lib.prov/org.gvsig.vectorediting.symmetry.lib.prov.symmetry/pom.xml
===================================================================
--- org.gvsig.vectorediting.symmetry/trunk/org.gvsig.vectorediting.symmetry/org.gvsig.vectorediting.symmetry.lib/org.gvsig.vectorediting.symmetry.lib.prov/org.gvsig.vectorediting.symmetry.lib.prov.symmetry/pom.xml	(revision 1698)
+++ org.gvsig.vectorediting.symmetry/trunk/org.gvsig.vectorediting.symmetry/org.gvsig.vectorediting.symmetry.lib/org.gvsig.vectorediting.symmetry.lib.prov/org.gvsig.vectorediting.symmetry.lib.prov.symmetry/pom.xml	(revision 1699)
@@ -3,7 +3,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.vectorediting.symmetry.lib.prov</artifactId>
-		<version>1.0.83</version>
+		<version>1.0.84-SNAPSHOT</version>
 	</parent>
 	<artifactId>org.gvsig.vectorediting.symmetry.lib.prov.symmetry</artifactId>
 	<name>org.gvsig.vectorediting.symmetry.lib.prov.symmetry</name>
Index: org.gvsig.vectorediting.symmetry/trunk/org.gvsig.vectorediting.symmetry/org.gvsig.vectorediting.symmetry.lib/org.gvsig.vectorediting.symmetry.lib.prov/pom.xml
===================================================================
--- org.gvsig.vectorediting.symmetry/trunk/org.gvsig.vectorediting.symmetry/org.gvsig.vectorediting.symmetry.lib/org.gvsig.vectorediting.symmetry.lib.prov/pom.xml	(revision 1698)
+++ org.gvsig.vectorediting.symmetry/trunk/org.gvsig.vectorediting.symmetry/org.gvsig.vectorediting.symmetry.lib/org.gvsig.vectorediting.symmetry.lib.prov/pom.xml	(revision 1699)
@@ -3,7 +3,7 @@
   <parent>
     <groupId>org.gvsig</groupId>
     <artifactId>org.gvsig.vectorediting.symmetry.lib</artifactId>
-    <version>1.0.83</version>
+    <version>1.0.84-SNAPSHOT</version>
   </parent>
   <artifactId>org.gvsig.vectorediting.symmetry.lib.prov</artifactId>
   <packaging>pom</packaging>
Index: org.gvsig.vectorediting.symmetry/trunk/org.gvsig.vectorediting.symmetry/org.gvsig.vectorediting.symmetry.lib/pom.xml
===================================================================
--- org.gvsig.vectorediting.symmetry/trunk/org.gvsig.vectorediting.symmetry/org.gvsig.vectorediting.symmetry.lib/pom.xml	(revision 1698)
+++ org.gvsig.vectorediting.symmetry/trunk/org.gvsig.vectorediting.symmetry/org.gvsig.vectorediting.symmetry.lib/pom.xml	(revision 1699)
@@ -3,7 +3,7 @@
   <parent>
     <groupId>org.gvsig</groupId>
     <artifactId>org.gvsig.vectorediting.symmetry</artifactId>
-    <version>1.0.83</version>
+    <version>1.0.84-SNAPSHOT</version>
   </parent>
   <artifactId>org.gvsig.vectorediting.symmetry.lib</artifactId>
   <packaging>pom</packaging>