Index: pom.xml
===================================================================
--- pom.xml	(revision 1725)
+++ pom.xml	(revision 1726)
@@ -4,7 +4,7 @@
     <groupId>org.gvsig</groupId>
     <artifactId>org.gvsig.tools</artifactId>
     <packaging>pom</packaging>
-    <version>3.0.155</version>
+    <version>3.0.156-SNAPSHOT</version>
     <name>org.gvsig.tools</name>
     <description>Tools related to application framework architecture
         and implementations of design patterns</description>
@@ -30,9 +30,9 @@
     </organization>
 
     <scm>
-        <connection>scm:svn:https://devel.gvsig.org/svn/gvsig-tools/org.gvsig.tools/library/tags/org.gvsig.tools-3.0.155</connection>
-        <developerConnection>scm:svn:https://devel.gvsig.org/svn/gvsig-tools/org.gvsig.tools/library/tags/org.gvsig.tools-3.0.155</developerConnection>
-        <url>https://devel.gvsig.org/redmine/projects/gvsig-tools/repository/show/org.gvsig.tools/library/tags/org.gvsig.tools-3.0.155</url>
+        <connection>scm:svn:https://devel.gvsig.org/svn/gvsig-tools/org.gvsig.tools/library/trunk/org.gvsig.tools</connection>
+        <developerConnection>scm:svn:https://devel.gvsig.org/svn/gvsig-tools/org.gvsig.tools/library/trunk/org.gvsig.tools</developerConnection>
+        <url>https://devel.gvsig.org/redmine/projects/gvsig-tools/repository/show/org.gvsig.tools/library/trunk/org.gvsig.tools</url>
     </scm>
 
     <repositories>
@@ -213,59 +213,59 @@
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.tools.lib</artifactId>
-                <version>3.0.155</version>
+                <version>3.0.156-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.tools.lib</artifactId>
-                <version>3.0.155</version>
+                <version>3.0.156-SNAPSHOT</version>
                 <type>test-jar</type>
                 <scope>test</scope>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.tools.swing</artifactId>
-                <version>3.0.155</version>
+                <version>3.0.156-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.tools.swing.api</artifactId>
-                <version>3.0.155</version>
+                <version>3.0.156-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.tools.swing.impl</artifactId>
-                <version>3.0.155</version>
+                <version>3.0.156-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.tools.dynform.api</artifactId>
-                <version>3.0.155</version>
+                <version>3.0.156-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.tools.dynform.spi</artifactId>
-                <version>3.0.155</version>
+                <version>3.0.156-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.tools.dynform.services</artifactId>
-                <version>3.0.155</version>
+                <version>3.0.156-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.tools.dynform.impl</artifactId>
-                <version>3.0.155</version>
+                <version>3.0.156-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.tools.util.api</artifactId>
-                <version>3.0.155</version>
+                <version>3.0.156-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.tools.util.impl</artifactId>
-                <version>3.0.155</version>
+                <version>3.0.156-SNAPSHOT</version>
             </dependency>
             <dependency>
               <groupId>com.github.fracpete</groupId>