Index: org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.swing/org.gvsig.tools.swing.impl/src/main/java/org/gvsig/tools/swing/impl/icontheme/BaseIconTheme.java
===================================================================
--- org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.swing/org.gvsig.tools.swing.impl/src/main/java/org/gvsig/tools/swing/impl/icontheme/BaseIconTheme.java	(revision 1844)
+++ org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.swing/org.gvsig.tools.swing.impl/src/main/java/org/gvsig/tools/swing/impl/icontheme/BaseIconTheme.java	(revision 1845)
@@ -23,7 +23,6 @@
  */
 package org.gvsig.tools.swing.impl.icontheme;
 
-
 import java.awt.Image;
 import java.io.File;
 import java.io.IOException;
@@ -47,532 +46,532 @@
 
 import org.gvsig.tools.swing.icontheme.IconTheme;
 
-
 /**
- * <p>This class represents an icon theme, which is basically a mapping of
- * symbolic icon names, and real icons (or icon paths). This is useful to
- * change an application's icons in an easy way. An icon theme
- * is usually read from disk on start up, but can also be created or
- * modified on a later time.</p>
+ * <p>
+ * This class represents an icon theme, which is basically a mapping of symbolic
+ * icon names, and real icons (or icon paths). This is useful to change an
+ * application's icons in an easy way. An icon theme is usually read from disk
+ * on start up, but can also be created or modified on a later time.</p>
  *
  */
 public class BaseIconTheme implements IconTheme {
-	protected static Logger logger = LoggerFactory.getLogger(BaseIconTheme.class);
 
-	protected String id = null;
-	protected String name=null;
-	protected String description=null;
-	protected Map<String, Icon> iconList = null;
-	protected IconTheme defaultTheme = null;
-	protected String defaultIconName = null;
+    protected static Logger logger = LoggerFactory.getLogger(BaseIconTheme.class);
 
-	class DefaultIcon implements Icon {
-		private ImageIcon image;
-		private final URL resource;
-		private final String name;
-		private final String group;
-		private final String provider;
-		
-		DefaultIcon(String provider,  String group, String name, ImageIcon image,URL resource) {
-			this.image = image;
-			this.resource = resource;
-			this.group = group;
-			this.name = name;
-			this.provider = provider;
-		}
-		
-		public boolean existsIcon() {
-		    if (image != null) {
-		        return true;
-		    }
-		    
-		    InputStream ist = null;
-		    boolean resp;
-		    
-		    try {
-		        ist = resource.openStream();
-		        resp = true;
-		    } catch (Exception ex) {
-		        resp = false;
-		    }
+    protected String id = null;
+    protected String name = null;
+    protected String description = null;
+    protected Map<String, Icon> iconList = null;
+    protected IconTheme defaultTheme = null;
+    protected String defaultIconName = null;
+
+    class DefaultIcon implements Icon {
+
+        private ImageIcon image;
+        private final URL resource;
+        private final String name;
+        private final String group;
+        private final String provider;
+
+        DefaultIcon(String provider, String group, String name, ImageIcon image, URL resource) {
+            this.image = image;
+            this.resource = resource;
+            this.group = group;
+            this.name = name;
+            this.provider = provider;
+        }
+
+        public boolean existsIcon() {
+            if (image != null) {
+                return true;
+            }
+
+            InputStream ist = null;
+            boolean resp;
+
             try {
-                if( ist!=null ) {
+                ist = resource.openStream();
+                resp = true;
+            } catch (Exception ex) {
+                resp = false;
+            }
+            try {
+                if (ist != null) {
                     ist.close();
                 }
             } catch (Exception ex) {
             }
-		    return resp;
-		}
-		
+            return resp;
+        }
+
         @Override
-		public ImageIcon getImageIcon() {
-			if (this.image != null){
-				return this.image;
-			}
-			try {
-				this.image = new ImageIcon((URL)this.resource);
-			} catch(Exception ex) {
-				return null;
-			}
-			return this.image;
-		}
-		
+        public ImageIcon getImageIcon() {
+            if (this.image != null) {
+                return this.image;
+            }
+            try {
+                this.image = new ImageIcon((URL) this.resource);
+            } catch (Exception ex) {
+                return null;
+            }
+            return this.image;
+        }
+
         @Override
-		public Image getImage() {
-			ImageIcon icon = this.getImageIcon();
-			if( icon == null ) {
-				return null;
-			}
-			return icon.getImage();
-		}
-		
+        public Image getImage() {
+            ImageIcon icon = this.getImageIcon();
+            if (icon == null) {
+                return null;
+            }
+            return icon.getImage();
+        }
+
         @Override
-		public String getName() {
-			return name;
-		}
-		
+        public String getName() {
+            return name;
+        }
+
         @Override
-		public String getGroup() {
-			return group;
-		}
-		
+        public String getGroup() {
+            return group;
+        }
+
         @Override
-		public Object getResource() {
-			return resource;
-		}
+        public Object getResource() {
+            return resource;
+        }
 
         @Override
-		public URL getURL() {
-			if( resource instanceof URL ) {
-				return (URL) this.resource;
-			}
-			return null;
-		}
+        public URL getURL() {
+            if (resource instanceof URL) {
+                return (URL) this.resource;
+            }
+            return null;
+        }
 
         @Override
-		public String getLabel() {
-			if( resource != null ) {
-				return resource.toString();
-			}
-			if( image != null ) {
-				return image.toString();
-			}
-			return "";
-		}
-		
+        public String getLabel() {
+            if (resource != null) {
+                return resource.toString();
+            }
+            if (image != null) {
+                return image.toString();
+            }
+            return "";
+        }
+
         @Override
-		public int compareTo(Icon other) {
-			String this_id = this.getProviderName() + "/" + this.getGroup() + "/" + this.getName();
-			String other_id = other.getProviderName() + "/" + other.getGroup() + "/" + other.getName();
-			return this_id.compareTo(other_id);
-		}
+        public int compareTo(Icon other) {
+            String this_id = this.getProviderName() + "/" + this.getGroup() + "/" + this.getName();
+            String other_id = other.getProviderName() + "/" + other.getGroup() + "/" + other.getName();
+            return this_id.compareTo(other_id);
+        }
 
         @Override
-		public String getProviderName() {
-			return provider;
-		}
+        public String getProviderName() {
+            return provider;
+        }
 
-	}
-	
-	public BaseIconTheme() {
-		this(null);
-	}	
-	
-	public BaseIconTheme(IconTheme defaultIconTheme) {
-		this.setDefault(defaultIconTheme);
-		this.id = "default"; // El id no traducirlo
-		this.name = "default";
-		this.description = "Default icon theme";
-		this.iconList = new HashMap<>();
-	}
-	
-	/**
-	 * Load the icons of the theme
+    }
+
+    public BaseIconTheme() {
+        this(null);
+    }
+
+    public BaseIconTheme(IconTheme defaultIconTheme) {
+        this.setDefault(defaultIconTheme);
+        this.id = "default"; // El id no traducirlo
+        this.name = "default";
+        this.description = "Default icon theme";
+        this.iconList = new HashMap<>();
+    }
+
+    /**
+     * Load the icons of the theme
+     *
      * @param resource
-	 */
+     */
     @Override
-	public void load(Object resource) {
-		// Do nothing.
-	}
-	
-	/**
-	 * Override this to load icons on demand instead of 
-	 * load on the creation of the theme.
-	 */
-	protected void deferredLoad() {
-		// Do nothing
-	}
-	
+    public void load(Object resource) {
+        // Do nothing.
+    }
 
-	
-	private void logstack(String msg) {
-		try {
-			throw new IllegalArgumentException();
-		} catch (IllegalArgumentException e) {
-			logger.debug(msg,e);
-		}
-	}
+    /**
+     * Override this to load icons on demand instead of load on the creation of
+     * the theme.
+     */
+    protected void deferredLoad() {
+        // Do nothing
+    }
 
+    private void logstack(String msg) {
+        try {
+            throw new IllegalArgumentException();
+        } catch (IllegalArgumentException e) {
+            logger.debug(msg, e);
+        }
+    }
+
     @Override
-	public void setDefault(IconTheme def){
-    	if( def == this ) {
-    		defaultTheme = null;
-    	} else {
-    		defaultTheme = def;
-    	}
+    public void setDefault(IconTheme def) {
+        if (def == this) {
+            defaultTheme = null;
+        } else {
+            defaultTheme = def;
+        }
     }
 
     @Override
-    public IconTheme getDefault(){
-    	return defaultTheme;
+    public IconTheme getDefault() {
+        return defaultTheme;
     }
 
     @Override
-	public boolean exists(String iconName) {
-		if( StringUtils.isEmpty(iconName) ) {
-			return false;
-		}
-		deferredLoad();
-		
-		if (iconList.containsKey(iconName)) {
-			return true;
-		}
-		return defaultTheme !=null && defaultTheme.exists(iconName);
-	}
+    public boolean exists(String iconName) {
+        if (StringUtils.isEmpty(iconName)) {
+            return false;
+        }
+        deferredLoad();
 
+        if (iconList.containsKey(iconName)) {
+            return true;
+        }
+        return defaultTheme != null && defaultTheme.exists(iconName);
+    }
+
     @Override
-	public Iterator<String> iterator() {
-		Set<String> names = new HashSet<>();
-		
-		deferredLoad();
+    public Iterator<String> iterator() {
+        Set<String> names = new HashSet<>();
 
-		if( defaultTheme !=null ) {
-			Iterator<String> it = defaultTheme.iterator();
-			while( it.hasNext() ) {
-				names.add(it.next());
-			}
-		}
-		Iterator<String> it = iconList.keySet().iterator();
-		while( it.hasNext() ) {
-			names.add(it.next());
-		}
-		List<String> names2 = new ArrayList<>(names);
-		Collections.sort(names2);
-		return names2.iterator();
-	}
-	
+        deferredLoad();
+
+        if (defaultTheme != null) {
+            Iterator<String> it = defaultTheme.iterator();
+            while (it.hasNext()) {
+                names.add(it.next());
+            }
+        }
+        Iterator<String> it = iconList.keySet().iterator();
+        while (it.hasNext()) {
+            names.add(it.next());
+        }
+        List<String> names2 = new ArrayList<>(names);
+        Collections.sort(names2);
+        return names2.iterator();
+    }
+
     @Override
-	public Iterator<Icon> getThemeIcons() {
-        Map<String,Icon> themeIcons = new HashMap<>();
-		
-		deferredLoad();
-		if( defaultTheme !=null ) {
-			Iterator<Icon> it = defaultTheme.getThemeIcons();
-			while( it.hasNext() ) {
+    public Iterator<Icon> getThemeIcons() {
+        Map<String, Icon> themeIcons = new HashMap<>();
+
+        deferredLoad();
+        if (defaultTheme != null) {
+            Iterator<Icon> it = defaultTheme.getThemeIcons();
+            while (it.hasNext()) {
                 Icon icon = it.next();
                 themeIcons.put(icon.getName(), icon);
-			}
-		}
-		Iterator<Icon> it = iconList.values().iterator();
-		while( it.hasNext() ) {
+            }
+        }
+        Iterator<Icon> it = iconList.values().iterator();
+        while (it.hasNext()) {
             Icon icon = it.next();
             themeIcons.put(icon.getName(), icon);
-		}
-		List<Icon> themeIcons2 = new ArrayList<>(themeIcons.values());
-		Collections.sort(themeIcons2);
-		return themeIcons2.iterator();
-	}
-	
+        }
+        List<Icon> themeIcons2 = new ArrayList<>(themeIcons.values());
+        Collections.sort(themeIcons2);
+        return themeIcons2.iterator();
+    }
+
     @Override
-	public Icon getThemeIcon(String name) {
-		if( StringUtils.isEmpty(name) ) {
-			return null;
-		}
-		deferredLoad();
-		Icon themeIcon = (Icon) iconList.get(name);
-		if( themeIcon!=null ) {
-			return themeIcon;
-		}
-		if( defaultTheme!=null && defaultTheme.exists(name)) {
-			return  defaultTheme.getThemeIcon(name);
-		}
-		return null;
-	}
+    public Icon getThemeIcon(String name) {
+        if (StringUtils.isEmpty(name)) {
+            return null;
+        }
+        deferredLoad();
+        Icon themeIcon = (Icon) iconList.get(name);
+        if (themeIcon != null) {
+            return themeIcon;
+        }
+        if (defaultTheme != null && defaultTheme.exists(name)) {
+            return defaultTheme.getThemeIcon(name);
+        }
+        return null;
+    }
 
     @Override
-	public ImageIcon get(String name) {
-		ImageIcon icon;
-		
-		if( ! StringUtils.isEmpty(name) ) {
-			deferredLoad();
-			Icon themeIcon = (Icon) iconList.get(name);
-			if( themeIcon != null ) {
-				icon = themeIcon.getImageIcon();
-				if( icon != null ) {
-					return icon;
-				}
-			}
-			if( defaultTheme!=null && defaultTheme.exists(name)) {
-				return  defaultTheme.get(name);
-			}
-		}
-		logger.info("get('"+name+"') icon not found");
-		logstack("get('"+name+"') icon not found");
-		return getNoIcon();
-	}
+    public ImageIcon get(String name) {
+        ImageIcon icon;
 
+        if (!StringUtils.isEmpty(name)) {
+            deferredLoad();
+            Icon themeIcon = (Icon) iconList.get(name);
+            if (themeIcon != null) {
+                icon = themeIcon.getImageIcon();
+                if (icon != null) {
+                    return icon;
+                }
+            }
+            if (defaultTheme != null && defaultTheme.exists(name)) {
+                return defaultTheme.get(name);
+            }
+        }
+        logger.info("get('" + name + "') icon not found");
+        logstack("get('" + name + "') icon not found");
+        return getNoIcon();
+    }
 
     @Override
-	public String getName() {
-		return name;
-	}
+    public String getName() {
+        return name;
+    }
 
     @Override
-	public void setName(String themeName) {
-		name = themeName;
-	}
+    public void setName(String themeName) {
+        name = themeName;
+    }
 
     @Override
-	public String getID() {
-		return this.id;
-	}
-	
+    public String getID() {
+        return this.id;
+    }
+
     @Override
-	public void setID(String id) {
-		this.id = id;
-	}
-	
+    public void setID(String id) {
+        this.id = id;
+    }
+
     @Override
-	public String getDescription() {
-		return description;
-	}
+    public String getDescription() {
+        return description;
+    }
 
     @Override
-	public void setDescription(String description) {
-		this.description = description;
-	}
+    public void setDescription(String description) {
+        this.description = description;
+    }
 
-	/**
-	 * Returns the name of the icon theme
-	 */
+    /**
+     * Returns the name of the icon theme
+     */
     @Override
-	public String toString() {
-		String s = this.getName();
-		if( StringUtils.isEmpty(s) ) {
-			s = this.getID();
-		}
-                return s;
+    public String toString() {
+        String s = this.getName();
+        if (StringUtils.isEmpty(s)) {
+            s = this.getID();
+        }
+        return s;
 //		if( StringUtils.isEmpty(this.getDescription()) ) {
 //			return s;
 //		}
 //		return s + " - " + this.getDescription();
-	}
+    }
 
     @Override
-	public ImageIcon getDefaultIcon() {
-		ImageIcon imageIcon;
-		Icon icon;
-		
-		icon = this.getThemeIcon(defaultIconName);
-		if( icon != null ) {
-			imageIcon = icon.getImageIcon();
-			if( imageIcon != null ) {
-				return imageIcon;
-			}
-		}
-		icon = this.getThemeIcon(NO_ICON_NAME);
-		if( icon != null ) {
-			imageIcon = icon.getImageIcon();
-			if( imageIcon != null ) {
-				return imageIcon;
-			}
-		}
-		return new ImageIcon();
-	}
+    public ImageIcon getDefaultIcon() {
+        ImageIcon imageIcon;
+        Icon icon;
 
+        icon = this.getThemeIcon(defaultIconName);
+        if (icon != null) {
+            imageIcon = icon.getImageIcon();
+            if (imageIcon != null) {
+                return imageIcon;
+            }
+        }
+        icon = this.getThemeIcon(NO_ICON_NAME);
+        if (icon != null) {
+            imageIcon = icon.getImageIcon();
+            if (imageIcon != null) {
+                return imageIcon;
+            }
+        }
+        return new ImageIcon();
+    }
+
     @Override
-	public void setDefaultIcon(ImageIcon icon) {
-		this.defaultIconName = null;
-		this.register(null, null, NO_ICON_NAME, icon, null);
-	}
+    public void setDefaultIcon(ImageIcon icon) {
+        this.defaultIconName = null;
+        this.register(null, null, NO_ICON_NAME, icon, null);
+    }
 
     @Override
-	public void setDefaultIcon(URL resource) {
-		this.defaultIconName = null;
-		this.register(null, null, NO_ICON_NAME, null, resource);
-	}
-	
+    public void setDefaultIcon(URL resource) {
+        this.defaultIconName = null;
+        this.register(null, null, NO_ICON_NAME, null, resource);
+    }
+
     @Override
-	public void setDefaultIcon(String name) {
-		this.defaultIconName = name;
-	}
+    public void setDefaultIcon(String name) {
+        this.defaultIconName = name;
+    }
 
     @Override
-	public void register(String provider, String group, String name,
-			ImageIcon icon, URL resource) {
-		if( StringUtils.isEmpty(name) ) {
-			throw new IllegalArgumentException("name is empty");
-		}
-		deferredLoad();
-		if( icon == null && resource == null ) {
-			Icon themeIcon = new DefaultIcon(provider, group, name, null, null);
-			iconList.put(name, themeIcon);
-			throw new IllegalArgumentException("icon and resource for '"+getIconIdentifier(provider,group, name)+"' are null");
-		}
-		DefaultIcon themeIcon = new DefaultIcon(provider, group, name, icon, resource);
-		
-		iconList.put(name, themeIcon);
-		if (!themeIcon.existsIcon()) {
-            throw new IllegalArgumentException("Resource not found for icon '"+getIconIdentifier(provider,group, name) + "'");
-		}
-	}
+    public void register(String provider, String group, String name,
+            ImageIcon icon, URL resource) {
+        if (StringUtils.isEmpty(name)) {
+            throw new IllegalArgumentException("name is empty");
+        }
+        deferredLoad();
+        if (icon == null && resource == null) {
+            Icon themeIcon = new DefaultIcon(provider, group, name, null, null);
+            iconList.put(name, themeIcon);
+            throw new IllegalArgumentException("icon and resource for '" + getIconIdentifier(provider, group, name) + "' are null");
+        }
+        DefaultIcon themeIcon = new DefaultIcon(provider, group, name, icon, resource);
 
-	private String getIconIdentifier(String provider, String group, String name) {
-		deferredLoad();
-		String identifier = null;
-		if( !StringUtils.isEmpty(provider) ) {
-			identifier = provider ;
-		}
-		if( group!= null ) {
-			identifier = identifier + "/" + group;
-		}
-		if( name == null ) {
-			identifier = identifier + "/unknow";
-		} else {
-			identifier = identifier + "/" + name;
-		}
-		return identifier; 
-	}
+        iconList.put(name, themeIcon);
+        if (!themeIcon.existsIcon()) {
+            throw new IllegalArgumentException("Resource not found for icon '" + getIconIdentifier(provider, group, name) + "'");
+        }
+    }
 
+    private String getIconIdentifier(String provider, String group, String name) {
+        deferredLoad();
+        String identifier = null;
+        if (!StringUtils.isEmpty(provider)) {
+            identifier = provider;
+        }
+        if (group != null) {
+            identifier = identifier + "/" + group;
+        }
+        if (name == null) {
+            identifier = identifier + "/unknow";
+        } else {
+            identifier = identifier + "/" + name;
+        }
+        return identifier;
+    }
+
     @Override
-	public void registerDefault(String provider, String group,
-			String name, ImageIcon icon, URL resource) {
-		deferredLoad();
-		if (defaultTheme!=null){
-			if( !defaultTheme.exists(name)) {
-				defaultTheme.register(provider, group, name, icon, resource);
-			}
-		} else {
-			this.register(provider, group, name, icon, resource);
-		}
-	}
+    public void registerDefault(String provider, String group,
+            String name, ImageIcon icon, URL resource) {
+        deferredLoad();
+        if (defaultTheme != null) {
+            if (!defaultTheme.exists(name)) {
+                defaultTheme.register(provider, group, name, icon, resource);
+            }
+        } else {
+            this.register(provider, group, name, icon, resource);
+        }
+    }
 
+    @Override
+    public void export(File folder) {
+        if (!folder.exists()) {
+            folder.mkdir();
+        }
+        folder = new File(folder, this.getID());
+        if (!folder.exists()) {
+            folder.mkdir();
+        }
+        URL url_no_icon = this.getThemeIcon(NO_ICON_NAME).getURL();
 
+        Iterator<Icon> themeIcons = this.getThemeIcons();
+        while (themeIcons.hasNext()) {
+            Icon themeIcon = themeIcons.next();
+            URL url_src = themeIcon.getURL();
+            if (url_src == null) {
+                url_src = url_no_icon;
+            }
+            File target;
+            if (themeIcon.getGroup() != null) {
+                target = new File(folder, themeIcon.getGroup());
+                target.mkdir();
+            } else {
+                target = new File(folder.getAbsolutePath());
+            }
+            target = new File(target, themeIcon.getName() + ".png");
+            try {
+                FileUtils.copyURLToFile(url_src, target);
+            } catch (IOException e) {
+                // TODO 
+            }
+        }
+    }
+
+    // ===================================================================
+    /**
+     * @deprecated use getDefaultIcon
+     */
     @Override
-	public void export(File folder) {
-		if( !folder.exists() ) {
-			folder.mkdir();
-		}
-		folder = new File(folder, this.getID());
-		if( !folder.exists() ) {
-			folder.mkdir();
-		}
-		URL url_no_icon = this.getThemeIcon(NO_ICON_NAME).getURL();
-		
-		Iterator<Icon> themeIcons = this.getThemeIcons();
-		while (themeIcons.hasNext()) {
-			Icon themeIcon = themeIcons.next();
-			URL url_src = themeIcon.getURL();
-			if( url_src == null ) {
-				url_src = url_no_icon;
-			}
-			File target;
-			if( themeIcon.getGroup()!=null ) {
-				target = new File(folder, themeIcon.getGroup());
-				target.mkdir();
-			} else {
-				target = new File(folder.getAbsolutePath());
-			}
-			target = new File(target,themeIcon.getName()+".png");
-			try {
-				FileUtils.copyURLToFile(url_src,target);
-			} catch (IOException e) {
-				// TODO 
-			}  
-		}
-	}
-	
-	// ===================================================================
-	
-	/**
-	 * @deprecated use getDefaultIcon
-	 */
-    @Override
-	public ImageIcon getNoIcon() {
-		return this.getDefaultIcon();
-	}
+    public ImageIcon getNoIcon() {
+        return this.getDefaultIcon();
+    }
 
-	
-	/**
+    /**
      * @param name
      * @param image
-	 * @deprecated use {@link #registerDefault(PluginServices, String, String, ImageIcon, Object)}
-	 */
+     * @deprecated use
+     * {@link #registerDefault(PluginServices, String, String, ImageIcon, Object)}
+     */
     @Override
-	public void registerDefault(String name, ImageIcon image) {
-		logstack("registerDefault('"+name+"'), deprecated method.");
-		try {
-			registerDefault(null, null, name, image, null);
-		} catch(IllegalArgumentException e) {
-			logger.info(e.getLocalizedMessage(), e);
-		}
-	}
+    public void registerDefault(String name, ImageIcon image) {
+        logstack("registerDefault('" + name + "'), deprecated method.");
+        try {
+            registerDefault(null, null, name, image, null);
+        } catch (IllegalArgumentException e) {
+            logger.info(e.getLocalizedMessage(), e);
+        }
+    }
 
-	/**
+    /**
      * @param name
      * @param resource
-	 * @deprecated use {@link #registerDefault(PluginServices, String, String, ImageIcon, Object)}
-	 */
+     * @deprecated use
+     * {@link #registerDefault(PluginServices, String, String, ImageIcon, Object)}
+     */
     @Override
-	public void registerDefault(String name, Object resource) {
-		logstack("registerDefault('"+name+"'), deprecated method.");
-		try {
-			registerDefault(null, null, name, null, (URL)resource);
-		} catch(IllegalArgumentException e) {
-			logger.info(e.getLocalizedMessage(), e);
-		}
-	}
+    public void registerDefault(String name, Object resource) {
+        logstack("registerDefault('" + name + "'), deprecated method.");
+        try {
+            registerDefault(null, null, name, null, (URL) resource);
+        } catch (IllegalArgumentException e) {
+            logger.info(e.getLocalizedMessage(), e);
+        }
+    }
 
-	/**
+    /**
      * @param name
      * @param image
-	 * @deprecated use {@link #registerDefault(PluginServices, String, String, ImageIcon, Object)}
-	 */
+     * @deprecated use
+     * {@link #registerDefault(PluginServices, String, String, ImageIcon, Object)}
+     */
     @Override
-	public void register(String name, ImageIcon image) {
-		logstack("register('"+name+"'), deprecated method.");
-		try {
-			register(null, null, name, image, null);
-		} catch(IllegalArgumentException e) {
-			logger.info(e.getLocalizedMessage(), e);
-		}
-	}
-	
-	/**
+    public void register(String name, ImageIcon image) {
+        logstack("register('" + name + "'), deprecated method.");
+        try {
+            register(null, null, name, image, null);
+        } catch (IllegalArgumentException e) {
+            logger.info(e.getLocalizedMessage(), e);
+        }
+    }
+
+    /**
      * @param name
      * @param resource
-	 * @deprecated use {@link #registerDefault(PluginServices, String, String, ImageIcon, Object)}
-	 */
+     * @deprecated use
+     * {@link #registerDefault(PluginServices, String, String, ImageIcon, Object)}
+     */
     @Override
-	public void register(String name, Object resource) {
-		logstack("register('"+name+"'), deprecated method.");
-		try {
-			register(null, null, name, null, (URL)resource);
-		} catch(IllegalArgumentException e) {
-			logger.info(e.getLocalizedMessage(), e);
-		}
-	}
-	
-	/**
+    public void register(String name, Object resource) {
+        logstack("register('" + name + "'), deprecated method.");
+        try {
+            register(null, null, name, null, (URL) resource);
+        } catch (IllegalArgumentException e) {
+            logger.info(e.getLocalizedMessage(), e);
+        }
+    }
+
+    /**
      * @param iconName
      * @param loader
-     * @return 
-	 * @deprecated use get(String iconName) instead.
-	 */
+     * @return
+     * @deprecated use get(String iconName) instead.
+     */
     @Override
-	public ImageIcon get(String iconName, ClassLoader loader) {
-		logstack("get('"+iconName+"', loader), deprecated method.");
-		return this.get(iconName);
-	}
+    public ImageIcon get(String iconName, ClassLoader loader) {
+        logstack("get('" + iconName + "', loader), deprecated method.");
+        return this.get(iconName);
+    }
 
 }