Index: org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.main/pom.xml
===================================================================
--- org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.main/pom.xml	(revision 2005)
+++ org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.main/pom.xml	(revision 2006)
@@ -6,7 +6,7 @@
     <parent>
         <groupId>org.gvsig</groupId>
         <artifactId>org.gvsig.tools</artifactId>
-        <version>3.0.195</version>
+        <version>3.0.196-SNAPSHOT</version>
     </parent>
     <dependencies>
         <dependency>
Index: org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.lib/pom.xml
===================================================================
--- org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.lib/pom.xml	(revision 2005)
+++ org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.lib/pom.xml	(revision 2006)
@@ -11,7 +11,7 @@
     <parent>
         <groupId>org.gvsig</groupId>
         <artifactId>org.gvsig.tools</artifactId>
-        <version>3.0.195</version>
+        <version>3.0.196-SNAPSHOT</version>
     </parent>
     <dependencies>
         <dependency>
Index: org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.swing/org.gvsig.tools.swing.impl/pom.xml
===================================================================
--- org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.swing/org.gvsig.tools.swing.impl/pom.xml	(revision 2005)
+++ org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.swing/org.gvsig.tools.swing.impl/pom.xml	(revision 2006)
@@ -6,7 +6,7 @@
     <parent>
         <groupId>org.gvsig</groupId>
         <artifactId>org.gvsig.tools.swing</artifactId>
-        <version>3.0.195</version>
+        <version>3.0.196-SNAPSHOT</version>
     </parent>
     <dependencies>
         <dependency>
Index: org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.swing/pom.xml
===================================================================
--- org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.swing/pom.xml	(revision 2005)
+++ org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.swing/pom.xml	(revision 2006)
@@ -8,7 +8,7 @@
     <parent>
         <groupId>org.gvsig</groupId>
         <artifactId>org.gvsig.tools</artifactId>
-        <version>3.0.195</version>
+        <version>3.0.196-SNAPSHOT</version>
     </parent>
     <dependencies>
         <dependency>
Index: org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.swing/org.gvsig.tools.swing.api/pom.xml
===================================================================
--- org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.swing/org.gvsig.tools.swing.api/pom.xml	(revision 2005)
+++ org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.swing/org.gvsig.tools.swing.api/pom.xml	(revision 2006)
@@ -6,7 +6,7 @@
     <parent>
         <groupId>org.gvsig</groupId>
         <artifactId>org.gvsig.tools.swing</artifactId>
-        <version>3.0.195</version>
+        <version>3.0.196-SNAPSHOT</version>
     </parent>
     <dependencies>
         <dependency>
Index: org.gvsig.tools/library/trunk/org.gvsig.tools/pom.xml
===================================================================
--- org.gvsig.tools/library/trunk/org.gvsig.tools/pom.xml	(revision 2005)
+++ org.gvsig.tools/library/trunk/org.gvsig.tools/pom.xml	(revision 2006)
@@ -4,7 +4,7 @@
     <groupId>org.gvsig</groupId>
     <artifactId>org.gvsig.tools</artifactId>
     <packaging>pom</packaging>
-    <version>3.0.195</version>
+    <version>3.0.196-SNAPSHOT</version>
     <name>org.gvsig.tools</name>
     <description>Tools related to application framework architecture
         and implementations of design patterns</description>
@@ -30,9 +30,9 @@
     </organization>
 
     <scm>
-        <connection>scm:svn:https://devel.gvsig.org/svn/gvsig-tools/org.gvsig.tools/library/tags/org.gvsig.tools-3.0.195</connection>
-        <developerConnection>scm:svn:https://devel.gvsig.org/svn/gvsig-tools/org.gvsig.tools/library/tags/org.gvsig.tools-3.0.195</developerConnection>
-        <url>https://devel.gvsig.org/redmine/projects/gvsig-tools/repository/show/org.gvsig.tools/library/tags/org.gvsig.tools-3.0.195</url>
+        <connection>scm:svn:https://devel.gvsig.org/svn/gvsig-tools/org.gvsig.tools/library/trunk/org.gvsig.tools</connection>
+        <developerConnection>scm:svn:https://devel.gvsig.org/svn/gvsig-tools/org.gvsig.tools/library/trunk/org.gvsig.tools</developerConnection>
+        <url>https://devel.gvsig.org/redmine/projects/gvsig-tools/repository/show/org.gvsig.tools/library/trunk/org.gvsig.tools</url>
     </scm>
 
     <repositories>
@@ -218,59 +218,59 @@
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.tools.lib</artifactId>
-                <version>3.0.195</version>
+                <version>3.0.196-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.tools.lib</artifactId>
-                <version>3.0.195</version>
+                <version>3.0.196-SNAPSHOT</version>
                 <type>test-jar</type>
                 <scope>test</scope>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.tools.swing</artifactId>
-                <version>3.0.195</version>
+                <version>3.0.196-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.tools.swing.api</artifactId>
-                <version>3.0.195</version>
+                <version>3.0.196-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.tools.swing.impl</artifactId>
-                <version>3.0.195</version>
+                <version>3.0.196-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.tools.dynform.api</artifactId>
-                <version>3.0.195</version>
+                <version>3.0.196-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.tools.dynform.spi</artifactId>
-                <version>3.0.195</version>
+                <version>3.0.196-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.tools.dynform.services</artifactId>
-                <version>3.0.195</version>
+                <version>3.0.196-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.tools.dynform.impl</artifactId>
-                <version>3.0.195</version>
+                <version>3.0.196-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.tools.util.api</artifactId>
-                <version>3.0.195</version>
+                <version>3.0.196-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.tools.util.impl</artifactId>
-                <version>3.0.195</version>
+                <version>3.0.196-SNAPSHOT</version>
             </dependency>
             <dependency>
               <groupId>com.github.fracpete</groupId>
Index: org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.util/org.gvsig.tools.util.api/pom.xml
===================================================================
--- org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.util/org.gvsig.tools.util.api/pom.xml	(revision 2005)
+++ org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.util/org.gvsig.tools.util.api/pom.xml	(revision 2006)
@@ -3,7 +3,7 @@
   <parent>
     <groupId>org.gvsig</groupId>
     <artifactId>org.gvsig.tools.util</artifactId>
-    <version>3.0.195</version>
+    <version>3.0.196-SNAPSHOT</version>
   </parent>
   <groupId>org.gvsig</groupId>
   <artifactId>org.gvsig.tools.util.api</artifactId>
Index: org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.util/pom.xml
===================================================================
--- org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.util/pom.xml	(revision 2005)
+++ org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.util/pom.xml	(revision 2006)
@@ -3,7 +3,7 @@
   <parent>
     <groupId>org.gvsig</groupId>
     <artifactId>org.gvsig.tools</artifactId>
-    <version>3.0.195</version>
+    <version>3.0.196-SNAPSHOT</version>
   </parent>
   <artifactId>org.gvsig.tools.util</artifactId>
   <name>org.gvsig.tools.util</name>
Index: org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.util/org.gvsig.tools.util.impl/pom.xml
===================================================================
--- org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.util/org.gvsig.tools.util.impl/pom.xml	(revision 2005)
+++ org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.util/org.gvsig.tools.util.impl/pom.xml	(revision 2006)
@@ -3,7 +3,7 @@
   <parent>
     <groupId>org.gvsig</groupId>
     <artifactId>org.gvsig.tools.util</artifactId>
-    <version>3.0.195</version>
+    <version>3.0.196-SNAPSHOT</version>
   </parent>
   <groupId>org.gvsig</groupId>
   <artifactId>org.gvsig.tools.util.impl</artifactId>
Index: org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.dynform/org.gvsig.tools.dynform.api/pom.xml
===================================================================
--- org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.dynform/org.gvsig.tools.dynform.api/pom.xml	(revision 2005)
+++ org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.dynform/org.gvsig.tools.dynform.api/pom.xml	(revision 2006)
@@ -7,7 +7,7 @@
   <parent>
     <groupId>org.gvsig</groupId>
     <artifactId>org.gvsig.tools.dynform</artifactId>
-    <version>3.0.195</version>
+    <version>3.0.196-SNAPSHOT</version>
   </parent>
   <dependencies>
   	<dependency>
Index: org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.dynform/pom.xml
===================================================================
--- org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.dynform/pom.xml	(revision 2005)
+++ org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.dynform/pom.xml	(revision 2006)
@@ -8,7 +8,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.tools</artifactId>
-		<version>3.0.195</version>
+		<version>3.0.196-SNAPSHOT</version>
 	</parent>
 
 	<modules>
Index: org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.dynform/org.gvsig.tools.dynform.spi/pom.xml
===================================================================
--- org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.dynform/org.gvsig.tools.dynform.spi/pom.xml	(revision 2005)
+++ org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.dynform/org.gvsig.tools.dynform.spi/pom.xml	(revision 2006)
@@ -4,7 +4,7 @@
   <parent>
     <groupId>org.gvsig</groupId>
     <artifactId>org.gvsig.tools.dynform</artifactId>
-    <version>3.0.195</version>
+    <version>3.0.196-SNAPSHOT</version>
   </parent>
   <artifactId>org.gvsig.tools.dynform.spi</artifactId>
   <name>org.gvsig.tools.dynform.spi</name>
Index: org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.dynform/org.gvsig.tools.dynform.impl/pom.xml
===================================================================
--- org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.dynform/org.gvsig.tools.dynform.impl/pom.xml	(revision 2005)
+++ org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.dynform/org.gvsig.tools.dynform.impl/pom.xml	(revision 2006)
@@ -4,7 +4,7 @@
   <parent>
     <groupId>org.gvsig</groupId>
     <artifactId>org.gvsig.tools.dynform</artifactId>
-    <version>3.0.195</version>
+    <version>3.0.196-SNAPSHOT</version>
   </parent>
   <artifactId>org.gvsig.tools.dynform.impl</artifactId>
   <name>org.gvsig.tools.dynform.impl</name>
Index: org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.dynform/org.gvsig.tools.dynform.services/pom.xml
===================================================================
--- org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.dynform/org.gvsig.tools.dynform.services/pom.xml	(revision 2005)
+++ org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.dynform/org.gvsig.tools.dynform.services/pom.xml	(revision 2006)
@@ -3,7 +3,7 @@
     <parent>
         <groupId>org.gvsig</groupId>
         <artifactId>org.gvsig.tools.dynform</artifactId>
-        <version>3.0.195</version>
+        <version>3.0.196-SNAPSHOT</version>
     </parent>
     <artifactId>org.gvsig.tools.dynform.services</artifactId>
     <name>org.gvsig.tools.dynform.services</name>